require 'rubygems'

if (PRY_DEBUGGER_GEM = ENV['PRY_DEBUGGER']) != 'disable'

  if RUBY_ENGINE == 'ruby' and RUBY_VERSION >= '1.9.3'
    PRY_DEBUGGER_GEM ||= 'pry-debugger'
  else
    PRY_DEBUGGER_GEM ||= 'pry-nav'
  end
  tries = 0
  begin
    require PRY_DEBUGGER_GEM
  rescue LoadError
    if (tries += 1) > 2
      $stderr.puts "Could not install pry debugger gem: #{PRY_DEBUGGER_GEM}, continuing anyhow."
      raise
    end
    require 'rubygems/dependency_installer' 
    $stderr.puts "Auto installing pry debugger: #{PRY_DEBUGGER_GEM}"
    Gem::DependencyInstaller.new.install(PRY_DEBUGGER_GEM)
    retry
  end 
end
